Appointment Endpoints
Manage employee appointments and scheduling.
Base Pathβ
/api/appointment-employee
Endpointsβ
List Appointmentsβ
GET /api/appointment-employee
Authorization: Bearer {token}
Create Appointmentβ
POST /api/appointment-employee
Authorization: Bearer {token}
{
"employeeId": "employee-uuid",
"agenda": "Q1 Performance Review",
"description": "Quarterly review meeting",
"location": "Google Meet",
"startDateTime": "2025-03-10T10:00:00.000Z",
"endDateTime": "2025-03-10T11:00:00.000Z",
"bufferTimeStart": false,
"bufferTimeEnd": false,
"bufferTimeInMins": 0,
"invitees": [{ "id": "employee-uuid-2" }]
}
Update Appointmentβ
PUT /api/appointment-employee/:id
Authorization: Bearer {token}
Delete Appointmentβ
DELETE /api/appointment-employee/:id
Authorization: Bearer {token}
Sign Appointmentβ
PUT /api/appointment-employee/:id/sign
Authorization: Bearer {token}
Related Pagesβ
- Employee Appointments β feature guide
- Interview Scheduling β interviews
- Calendar Integration β calendar